---
title: Update LLM Observability dataset records
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > LLM Observability
---

# Update LLM Observability dataset records{% #update-llm-observability-dataset-records %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                                     |
| ----------------- | ------------------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/records |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/records |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/records      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/records      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/records  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/records     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/records |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/llm-obs/v1/{project_id}/datasets/{dataset_id}/records |

### Overview

Update one or more existing records in an LLM Observability dataset.

### Arguments

#### Path Parameters

| Name                         | Type   | Description                              |
| ---------------------------- | ------ | ---------------------------------------- |
| project_id [*required*] | string | The ID of the LLM Observability project. |
| dataset_id [*required*] | string | The ID of the LLM Observability dataset. |

### Request

#### Body Data (required)

Update records payload.

{% tab title="Model" %}

| Parent field    | Field                        | Type                | Description                                                                        |
| --------------- | ---------------------------- | ------------------- | ---------------------------------------------------------------------------------- |
|                 | data [*required*]       | object              | Data object for updating records in an LLM Observability dataset.                  |
| data            | attributes [*required*] | object              | Attributes for updating records in an LLM Observability dataset.                   |
| attributes      | records [*required*]    | [object]            | List of records to update.                                                         |
| records         | expected_output              | object <oneOf> | Represents any valid JSON value.                                                   |
| expected_output | Option 1                     | string              | A scalar string value.                                                             |
| expected_output | Option 2                     | double              | A scalar numeric value.                                                            |
| expected_output | Option 3                     | object              | An arbitrary object value with additional properties.                              |
| expected_output | Option 4                     | [ <oneOf>]     | An array of arbitrary values.                                                      |
| Option 4        | Option 1                     | string              | A scalar string value.                                                             |
| Option 4        | Option 2                     | double              | A scalar numeric value.                                                            |
| Option 4        | Option 3                     | object              | An arbitrary object value with additional properties.                              |
| Option 4        | Option 4                     | boolean             | A scalar boolean value.                                                            |
| expected_output | Option 5                     | boolean             | A scalar boolean value.                                                            |
| records         | id [*required*]         | string              | Unique identifier of the record to update.                                         |
| records         | input                        | object <oneOf> | Represents any valid JSON value.                                                   |
| input           | Option 1                     | string              | A scalar string value.                                                             |
| input           | Option 2                     | double              | A scalar numeric value.                                                            |
| input           | Option 3                     | object              | An arbitrary object value with additional properties.                              |
| input           | Option 4                     | [ <oneOf>]     | An array of arbitrary values.                                                      |
| Option 4        | Option 1                     | string              | A scalar string value.                                                             |
| Option 4        | Option 2                     | double              | A scalar numeric value.                                                            |
| Option 4        | Option 3                     | object              | An arbitrary object value with additional properties.                              |
| Option 4        | Option 4                     | boolean             | A scalar boolean value.                                                            |
| input           | Option 5                     | boolean             | A scalar boolean value.                                                            |
| records         | metadata                     | object              | Updated metadata associated with the record.                                       |
| data            | type [*required*]       | enum                | Resource type of LLM Observability dataset records. Allowed enum values: `records` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "records": [
        {
          "expected_output": {
            "description": "undefined",
            "type": "undefined"
          },
          "id": "rec-7c3f5a1b-9e2d-4f8a-b1c6-3d7e9f0a2b4c",
          "input": {
            "description": "undefined",
            "type": "undefined"
          },
          "metadata": {}
        }
      ]
    },
    "type": "records"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing records after a create or update operation.

| Parent field    | Field                             | Type                | Description                                           |
| --------------- | --------------------------------- | ------------------- | ----------------------------------------------------- |
|                 | data [*required*]            | [object]            | List of affected dataset records.                     |
| data            | records [*required*]         | [object]            | List of affected dataset records.                     |
| records         | created_at [*required*]      | date-time           | Timestamp when the record was created.                |
| records         | dataset_id [*required*]      | string              | Identifier of the dataset this record belongs to.     |
| records         | expected_output [*required*] | object <oneOf> | Represents any valid JSON value.                      |
| expected_output | Option 1                          | string              | A scalar string value.                                |
| expected_output | Option 2                          | double              | A scalar numeric value.                               |
| expected_output | Option 3                          | object              | An arbitrary object value with additional properties. |
| expected_output | Option 4                          | [ <oneOf>]     | An array of arbitrary values.                         |
| Option 4        | Option 1                          | string              | A scalar string value.                                |
| Option 4        | Option 2                          | double              | A scalar numeric value.                               |
| Option 4        | Option 3                          | object              | An arbitrary object value with additional properties. |
| Option 4        | Option 4                          | boolean             | A scalar boolean value.                               |
| expected_output | Option 5                          | boolean             | A scalar boolean value.                               |
| records         | id [*required*]              | string              | Unique identifier of the record.                      |
| records         | input [*required*]           | object <oneOf> | Represents any valid JSON value.                      |
| input           | Option 1                          | string              | A scalar string value.                                |
| input           | Option 2                          | double              | A scalar numeric value.                               |
| input           | Option 3                          | object              | An arbitrary object value with additional properties. |
| input           | Option 4                          | [ <oneOf>]     | An array of arbitrary values.                         |
| Option 4        | Option 1                          | string              | A scalar string value.                                |
| Option 4        | Option 2                          | double              | A scalar numeric value.                               |
| Option 4        | Option 3                          | object              | An arbitrary object value with additional properties. |
| Option 4        | Option 4                          | boolean             | A scalar boolean value.                               |
| input           | Option 5                          | boolean             | A scalar boolean value.                               |
| records         | metadata [*required*]        | object              | Arbitrary metadata associated with the record.        |
| records         | updated_at [*required*]      | date-time           | Timestamp when the record was last updated.           |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "records": [
        {
          "created_at": "2024-01-15T10:30:00Z",
          "dataset_id": "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d",
          "expected_output": {
            "description": "undefined",
            "type": "undefined"
          },
          "id": "rec-7c3f5a1b-9e2d-4f8a-b1c6-3d7e9f0a2b4c",
          "input": {
            "description": "undefined",
            "type": "undefined"
          },
          "metadata": {},
          "updated_at": "2024-01-15T10:30:00Z"
        }
      ]
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export project_id="a33671aa-24fd-4dcd-9b33-a8ec7dde7751" export dataset_id="9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/llm-obs/v1/${project_id}/datasets/${dataset_id}/records" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "records": [
        {
          "id": "rec-7c3f5a1b-9e2d-4f8a-b1c6-3d7e9f0a2b4c"
        }
      ]
    },
    "type": "records"
  }
}
EOF 
                
##### 

```python
"""
Update LLM Observability dataset records returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.llm_observability_api import LLMObservabilityApi
from datadog_api_client.v2.model.llm_obs_dataset_record_update_item import LLMObsDatasetRecordUpdateItem
from datadog_api_client.v2.model.llm_obs_dataset_records_update_data_attributes_request import (
    LLMObsDatasetRecordsUpdateDataAttributesRequest,
)
from datadog_api_client.v2.model.llm_obs_dataset_records_update_data_request import (
    LLMObsDatasetRecordsUpdateDataRequest,
)
from datadog_api_client.v2.model.llm_obs_dataset_records_update_request import LLMObsDatasetRecordsUpdateRequest
from datadog_api_client.v2.model.llm_obs_record_type import LLMObsRecordType

body = LLMObsDatasetRecordsUpdateRequest(
    data=LLMObsDatasetRecordsUpdateDataRequest(
        attributes=LLMObsDatasetRecordsUpdateDataAttributesRequest(
            records=[
                LLMObsDatasetRecordUpdateItem(
                    expected_output=None,
                    id="rec-7c3f5a1b-9e2d-4f8a-b1c6-3d7e9f0a2b4c",
                    input=None,
                ),
            ],
        ),
        type=LLMObsRecordType.RECORDS,
    ),
)

configuration = Configuration()
configuration.unstable_operations["update_llm_obs_dataset_records"] = True
with ApiClient(configuration) as api_client:
    api_instance = LLMObservabilityApi(api_client)
    response = api_instance.update_llm_obs_dataset_records(project_id="project_id", dataset_id="dataset_id", body=body)

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update LLM Observability dataset records returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.update_llm_obs_dataset_records".to_sym] = true
end
api_instance = DatadogAPIClient::V2::LLMObservabilityAPI.new

body = DatadogAPIClient::V2::LLMObsDatasetRecordsUpdateRequest.new({
  data: DatadogAPIClient::V2::LLMObsDatasetRecordsUpdateDataRequest.new({
    attributes: DatadogAPIClient::V2::LLMObsDatasetRecordsUpdateDataAttributesRequest.new({
      records: [
        DatadogAPIClient::V2::LLMObsDatasetRecordUpdateItem.new({
          expected_output: nil,
          id: "rec-7c3f5a1b-9e2d-4f8a-b1c6-3d7e9f0a2b4c",
          input: nil,
        }),
      ],
    }),
    type: DatadogAPIClient::V2::LLMObsRecordType::RECORDS,
  }),
})
p api_instance.update_llm_obs_dataset_records("project_id", "dataset_id", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Update LLM Observability dataset records returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.LLMObsDatasetRecordsUpdateRequest{
		Data: datadogV2.LLMObsDatasetRecordsUpdateDataRequest{
			Attributes: datadogV2.LLMObsDatasetRecordsUpdateDataAttributesRequest{
				Records: []datadogV2.LLMObsDatasetRecordUpdateItem{
					{
						ExpectedOutput: *datadogV2.NewNullableAnyValue(nil),
						Id:             "rec-7c3f5a1b-9e2d-4f8a-b1c6-3d7e9f0a2b4c",
						Input:          *datadogV2.NewNullableAnyValue(nil),
					},
				},
			},
			Type: datadogV2.LLMOBSRECORDTYPE_RECORDS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.UpdateLLMObsDatasetRecords", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewLLMObservabilityApi(apiClient)
	resp, r, err := api.UpdateLLMObsDatasetRecords(ctx, "project_id", "dataset_id", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `LLMObservabilityApi.UpdateLLMObsDatasetRecords`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `LLMObservabilityApi.UpdateLLMObsDatasetRecords`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update LLM Observability dataset records returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.LlmObservabilityApi;
import com.datadog.api.client.v2.model.LLMObsDatasetRecordUpdateItem;
import com.datadog.api.client.v2.model.LLMObsDatasetRecordsMutationResponse;
import com.datadog.api.client.v2.model.LLMObsDatasetRecordsUpdateDataAttributesRequest;
import com.datadog.api.client.v2.model.LLMObsDatasetRecordsUpdateDataRequest;
import com.datadog.api.client.v2.model.LLMObsDatasetRecordsUpdateRequest;
import com.datadog.api.client.v2.model.LLMObsRecordType;
import java.util.Collections;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.updateLLMObsDatasetRecords", true);
    LlmObservabilityApi apiInstance = new LlmObservabilityApi(defaultClient);

    LLMObsDatasetRecordsUpdateRequest body =
        new LLMObsDatasetRecordsUpdateRequest()
            .data(
                new LLMObsDatasetRecordsUpdateDataRequest()
                    .attributes(
                        new LLMObsDatasetRecordsUpdateDataAttributesRequest()
                            .records(
                                Collections.singletonList(
                                    new LLMObsDatasetRecordUpdateItem()
                                        .expectedOutput(null)
                                        .id("rec-7c3f5a1b-9e2d-4f8a-b1c6-3d7e9f0a2b4c")
                                        .input(null))))
                    .type(LLMObsRecordType.RECORDS));

    try {
      LLMObsDatasetRecordsMutationResponse result =
          apiInstance.updateLLMObsDatasetRecords(
              "a33671aa-24fd-4dcd-9b33-a8ec7dde7751", "9f64e5c7-dc5a-45c8-a17c-1b85f0bec97d", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling LlmObservabilityApi#updateLLMObsDatasetRecords");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Update LLM Observability dataset records returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_llm_observability::LLMObservabilityAPI;
use datadog_api_client::datadogV2::model::LLMObsDatasetRecordUpdateItem;
use datadog_api_client::datadogV2::model::LLMObsDatasetRecordsUpdateDataAttributesRequest;
use datadog_api_client::datadogV2::model::LLMObsDatasetRecordsUpdateDataRequest;
use datadog_api_client::datadogV2::model::LLMObsDatasetRecordsUpdateRequest;
use datadog_api_client::datadogV2::model::LLMObsRecordType;

#[tokio::main]
async fn main() {
    let body = LLMObsDatasetRecordsUpdateRequest::new(LLMObsDatasetRecordsUpdateDataRequest::new(
        LLMObsDatasetRecordsUpdateDataAttributesRequest::new(vec![
            LLMObsDatasetRecordUpdateItem::new(
                "rec-7c3f5a1b-9e2d-4f8a-b1c6-3d7e9f0a2b4c".to_string(),
            )
            .expected_output(None)
            .input(None),
        ]),
        LLMObsRecordType::RECORDS,
    ));
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.UpdateLLMObsDatasetRecords", true);
    let api = LLMObservabilityAPI::with_config(configuration);
    let resp = api
        .update_llm_obs_dataset_records("project_id".to_string(), "dataset_id".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update LLM Observability dataset records returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.updateLLMObsDatasetRecords"] = true;
const apiInstance = new v2.LLMObservabilityApi(configuration);

const params: v2.LLMObservabilityApiUpdateLLMObsDatasetRecordsRequest = {
  body: {
    data: {
      attributes: {
        records: [
          {
            expectedOutput: undefined,
            id: "rec-7c3f5a1b-9e2d-4f8a-b1c6-3d7e9f0a2b4c",
            input: undefined,
          },
        ],
      },
      type: "records",
    },
  },
  projectId: "project_id",
  datasetId: "dataset_id",
};

apiInstance
  .updateLLMObsDatasetRecords(params)
  .then((data: v2.LLMObsDatasetRecordsMutationResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
